﻿#region usings
using System;
using System.ComponentModel.Composition;

using VVVV.PluginInterfaces.V1;
using VVVV.PluginInterfaces.V2;
using VVVV.Utils.VColor;
using VVVV.Utils.VMath;
using Phidget22;

using VVVV.Core.Logging;
#endregion usings

namespace VVVV.Nodes
{
    #region PluginInfo
    [PluginInfo(Name = "PhidgetVoltageInput",
                Category = "Value",
                Help = "Basic template with one value in/out",
                Tags = "c#")]
    #endregion PluginInfo
    public class Template : IPluginEvaluate
    {
        #region fields & pins

        [Input("Channel")]
        public IDiffSpread<int> Channel;

        [Output("Voltage")]
        public ISpread<double> FVoltage;

        [Output("attached")]
        public ISpread<bool> Fattached;

        [Import()]
        public ILogger FLogger;
        #endregion fields & pins

        VoltageInput vin = new VoltageInput();

        bool init = true;

        public void Init()
        {
            if (init)
            {         
             
                vin.Open();
                init = false;
            }
        }

        //called when data for any output pin is requested
        public void Evaluate(int SpreadMax)
        {
           

            Fattached[0] = vin.Attached;
            Init();

        }
    }
}
